Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim
Interface ClassificationSchemeType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryEntryType, RegistryObjectType

All Known Implementing Classes:
  ClassificationSchemeTypeImpl

    public interface ClassificationSchemeType

extends RegistryEntryType

A representation of the model object 'Classification Scheme Type'. ClassificationScheme is the mapping of the same named interface in ebRIM. It extends RegistryEntry.

The following features are supported:

- `Classification Node`
- `Is Internal`
- `Node Type`

See Also:
  `RimPackage.getClassificationSchemeType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getClassificationNode()` Returns the value of the 'Classification Node' containment reference list.
`NodeTypeType` | `getNodeType()` Returns the value of the 'Node Type' attribute.
`boolean` | `isIsInternal()` Returns the value of the 'Is Internal' attribute.
`boolean` | `isSetIsInternal()` Returns whether the value of the '`Is Internal`' attribute is set.
`boolean` | `isSetNodeType()` Returns whether the value of the '`Node Type`' attribute is set.
`void` | `setIsInternal(boolean value)` Sets the value of the '`Is Internal`' attribute.
`void` | `setNodeType(NodeTypeType value)` Sets the value of the '`Node Type`' attribute.
`void` | `unsetIsInternal()` Unsets the value of the '`Is Internal`' attribute.
`void` | `unsetNodeType()` Unsets the value of the '`Node Type`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.rim.RegistryEntryType
`getExpiration, getMajorVersion, getMinorVersion, getStability, getStatus, getUserVersion, isSetMajorVersion, isSetMinorVersion, isSetStability, isSetStatus, setExpiration, setMajorVersion, setMinorVersion, setStability, setStatus, setUserVersion, unsetMajorVersion, unsetMinorVersion, unsetStability, unsetStatus`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.rim.RegistryObjectType
`getAccessControlPolicy, getClassification, getDescription, getExternalIdentifier, getId, getName, getObjectType, getSlot, setAccessControlPolicy, setDescription, setId, setName, setObjectType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getClassificationNode

    org.eclipse.emf.common.util.EList getClassificationNode()

  Returns the value of the 'Classification Node' containment reference list. The list contents are of type `ClassificationNodeType`.

  If the meaning of the 'Classification Node' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Node' containment reference list.
  See Also:
    `RimPackage.getClassificationSchemeType_ClassificationNode()`

### isIsInternal

    boolean isIsInternal()

  Returns the value of the 'Is Internal' attribute.

  If the meaning of the 'Is Internal' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Is Internal' attribute.
  See Also:
    `isSetIsInternal()`, `unsetIsInternal()`, `setIsInternal(boolean)`, `RimPackage.getClassificationSchemeType_IsInternal()`

### setIsInternal

    void setIsInternal(boolean value)

  Sets the value of the '`Is Internal`' attribute.

  Parameters:
    `value` - the new value of the 'Is Internal' attribute.
  See Also:
    `isSetIsInternal()`, `unsetIsInternal()`, `isIsInternal()`

### unsetIsInternal

    void unsetIsInternal()

  Unsets the value of the '`Is Internal`' attribute.

  See Also:
    `isSetIsInternal()`, `isIsInternal()`, `setIsInternal(boolean)`

### isSetIsInternal

    boolean isSetIsInternal()

  Returns whether the value of the '`Is Internal`' attribute is set.

  Returns:
    whether the value of the 'Is Internal' attribute is set.
  See Also:
    `unsetIsInternal()`, `isIsInternal()`, `setIsInternal(boolean)`

### getNodeType

    NodeTypeType getNodeType()

  Returns the value of the 'Node Type' attribute. The default value is `"UniqueCode"`. The literals are from the enumeration `NodeTypeType`.

  If the meaning of the 'Node Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Node Type' attribute.
  See Also:
    `NodeTypeType`, `isSetNodeType()`, `unsetNodeType()`, `setNodeType(NodeTypeType)`, `RimPackage.getClassificationSchemeType_NodeType()`

### setNodeType

    void setNodeType(NodeTypeType value)

  Sets the value of the '`Node Type`' attribute.

  Parameters:
    `value` - the new value of the 'Node Type' attribute.
  See Also:
    `NodeTypeType`, `isSetNodeType()`, `unsetNodeType()`, `getNodeType()`

### unsetNodeType

    void unsetNodeType()

  Unsets the value of the '`Node Type`' attribute.

  See Also:
    `isSetNodeType()`, `getNodeType()`, `setNodeType(NodeTypeType)`

### isSetNodeType

    boolean isSetNodeType()

  Returns whether the value of the '`Node Type`' attribute is set.

  Returns:
    whether the value of the 'Node Type' attribute is set.
  See Also:
    `unsetNodeType()`, `getNodeType()`, `setNodeType(NodeTypeType)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD